
Foreman - Feature #15574

Hide Puppet-related options

07/04/2016 10:06 AM - Daniel Lobato Garcia

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1702804 Red Hat JIRA:  

Pull request:    

Description

Since there are some users using Foreman with just Salt/Chef/Ansible or without any config managment (maybe just for content

purposes even), the UI doesn't need to show all of the Puppet options in this case. A simple Setting + html conditionals can do this

quite easily, since we've talked about moving it to a plugin for a while but it never happened.

Related issues:

Related to Foreman - Tracker #29431: Making puppet optional New

History

#1 - 07/04/2016 10:08 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3621 added

#2 - 01/26/2017 03:49 AM - Dominic Cleal

- Status changed from Ready For Testing to Feedback

- Assignee deleted (Daniel Lobato Garcia)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3621)

PR closed due to inactivity, and contains feedback that supporting multiple app modes may not be maintainable.

#3 - 05/17/2017 11:49 AM - Anonymous

- Status changed from Feedback to New

IMHO this is still a thing

#4 - 11/19/2019 12:28 PM - Ondřej Pražák

- Bugzilla link set to 1702804

#5 - 05/05/2020 01:40 PM - Tomer Brisker

- Related to Tracker #29431: Making puppet optional added
